com.google.web.bindery.requestfactory.shared

## Interface RequestTransport.TransportReceiver

Enclosing interface:
  RequestTransport

    public static interface RequestTransport.TransportReceiver

A callback interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onTransportFailure(ServerFailure failure)` Called to report a transmission failure as a ServerFailure.
`void` `onTransportSuccess(java.lang.String payload)` Called when the transmission succeeds.

### Method Detail

#### onTransportSuccess

    void onTransportSuccess(java.lang.String payload)

Called when the transmission succeeds.

Parameters:
  `payload` - the String payload

#### onTransportFailure

    void onTransportFailure(ServerFailure failure)

Called to report a transmission failure as a ServerFailure.

Parameters:
  `failure` - a ServerFailure instance indicating the nature of the failure